Skip to main content
GET
/
events
List Events
curl --request GET \
  --url https://{defaultHost}/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "event_id": "<string>",
      "event_name": "<string>",
      "event_time": 123,
      "custom_name": "<string>",
      "url": "<string>",
      "path": "<string>",
      "referrer_url": "<string>",
      "value": 123,
      "currency": "<string>",
      "total_usd_amount": 123,
      "context": {
        "utm_source": "<string>",
        "utm_campaign": "<string>",
        "utm_medium": "<string>",
        "utm_content": "<string>",
        "utm_term": "<string>",
        "ad_campaign_id": "<string>",
        "ad_set_id": "<string>",
        "ad_id": "<string>"
      },
      "user": {
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "name": "<string>",
        "phone": "<string>",
        "country": "<string>",
        "state": "<string>",
        "city": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

An account API key, account scoped JWT, app API key, or user OAuth token.

Query Parameters

person_id
string
required

The ID of the person.

account_id
string

The ID of the account, which will look like biz_*************. Optional for account API keys; required for credentials that can access multiple accounts.

from
integer

Start of the time range as a Unix timestamp.

to
integer

End of the time range as a Unix timestamp. Defaults to now.

first
integer

The number of events to return.

Response

events listed

data
object[]
required